<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.flex.model.MembershipOptionProduct" />

        <variable
            name="handler"
            type="com.vessel.app.flex.ui.MembershipProductAdapter.OnActionHandler" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/product_item_height"
        android:layout_margin="@dimen/spacing_small"
        android:background="@drawable/white_rounded_background"
        android:padding="@dimen/spacing_normal">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cardLayout"
            android:layout_width="50dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintBottom_toTopOf="@id/btnBuy"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/card"
                android:layout_width="wrap_content"
                android:layout_height="60dp"
                android:src="@drawable/ic_vessel_card_product"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/Title.Normal"
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:layout_marginEnd="15dp"
                android:background="@drawable/green_circle"
                android:gravity="center"
                android:text="@{item.quantityLabel}"
                android:textSize="7sp"
                app:layout_constraintBottom_toBottomOf="@id/card"
                app:layout_constraintEnd_toEndOf="parent"
                app:visible="@{!item.isFlexOption}"
                tools:text="x30" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginBottom="@dimen/spacing_large"
            app:layout_constraintBottom_toTopOf="@id/btnBuy"
            app:layout_constraintEnd_toStartOf="@id/priceLayout"
            app:layout_constraintStart_toEndOf="@id/cardLayout"
            app:layout_constraintTop_toTopOf="@id/cardLayout">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title"
                style="@style/Title.bananagrotesk"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:text="@{item.title}"
                android:textSize="@dimen/font_xs"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="Daily Testing" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/Text.Normal"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="start"
                android:text="@{item.getQuantityLabelText}"
                android:textColor="@color/gray"
                android:textSize="@dimen/font_xs"
                app:layout_constraintBottom_toTopOf="@id/description"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/title"
                tools:text="30 test cards" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/description"
                style="@style/Text.Normal"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="start"
                android:text="@{item.frequency}"
                android:textColor="@color/gray"
                android:textSize="@dimen/font_xs"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:visible="@{!item.isFlexOption}"
                tools:text="monthly" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:id="@+id/priceLayout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/spacing_large"
            android:orientation="horizontal"
            app:layout_constraintBottom_toTopOf="@id/btnBuy"
            app:layout_constraintEnd_toEndOf="parent">

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/Title.bananagrotesk"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@{item.monthlyPriceText}"
                android:textSize="@dimen/font_title"
                android:textStyle="bold"
                tools:text="$30" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/Title.Normal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/spacing_3xs"
                android:gravity="center"
                android:text="/ mo"
                android:textSize="@dimen/font_xs" />
        </LinearLayout>

        <com.vessel.app.views.BlackRoundedButtonGroup
            android:id="@+id/btnBuy"
            style="@style/FooterButton"
            android:layout_marginBottom="@dimen/spacing_small"
            android:onClick="@{() -> handler.onItemSelectClicked(item)}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            tools:background="@color/black" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
